X
Tap here to go to the mobile version of the site.

Support Forum

Latest version 19.0 is requiring my AppleID password before opening. Why?

Posted

Just updated. Now requires password and will not open without it.

Just updated. Now requires password and will not open without it.
Quote

Additional System Details

Application

  • User Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 12_4_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/12.1.2 Mobile/15E148 Safari/604.1

More Information

Question owner

Oh well good by firefox app

Oh well good by firefox app
Was this helpful to you?
Quote
howdytom
  • Top 25 Contributor
10 solutions 105 answers

Your question is related to Apple's AppStore. It looks like your Appstore session has expired. Are you logged into your iCloud account in the AppStore? This should not be a big issue. Simply re-enter your Apple ID.

Your question is related to Apple's AppStore. It looks like your Appstore session has expired. Are you logged into your iCloud account in the AppStore? This should not be a big issue. Simply re-enter your Apple ID.
Was this helpful to you?
Quote
Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.